/******************************************************************************
Copyright 2011 Jyloo Software, 86874 Tussenhausen, Germany.
All Rights Reserved. Use is subject to license terms. 
******************************************************************************/
package demo.travelselector;

import java.awt.Graphics;
import java.awt.Insets;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JComponent;

import de.javasoft.plaf.synthetica.SyntheticaLookAndFeel;
import de.javasoft.plaf.synthetica.SyntheticaState;
import de.javasoft.plaf.synthetica.SyntheticaState.State;
import de.javasoft.plaf.synthetica.painter.ImagePainter;
import de.javasoft.plaf.synthetica.painter.JYTabbedPanePainter;

public class SelectorTabbedPanePainter extends JYTabbedPanePainter
{
  private static Icon selectorIcon;
  
  @Override
  public void paintTabbedPaneTab(JComponent c, SyntheticaState state, int tabIndex, int placement, int position, int angle, Graphics g, int x, int y, int w, int h)
  {
    if (!state.isSet(State.SELECTED))
      return;
    
    if (selectorIcon == null)
      selectorIcon = new ImageIcon(getClass().getResource("/demo/travelselector/tabbedPaneSelector.png"));
    
    x += (w-selectorIcon.getIconWidth())/2;
    y += h-selectorIcon.getIconHeight();
    selectorIcon.paintIcon(c, g, x, y);
  }
  
  @Override
  public void paintTabbedPaneTabAreaBackground(JComponent c, SyntheticaState state, int placement, int angle, Graphics g, int x, int y, int w, int h)
  {
    String imagePath = SyntheticaLookAndFeel.getString("Synthetica.tabbedPane.tabArea.background.image.top", c);
    Insets insets = SyntheticaLookAndFeel.getInsets("Synthetica.tabbedPane.tabArea.background.image.top.insets", c);
    ImagePainter imagePainter = new ImagePainter(g, x, y, w, h, imagePath, insets, insets, ImagePainter.TILED, ImagePainter.STRETCHED);
    imagePainter.draw();
  }  
}
